﻿using System;
using System.Windows;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace Module1.ViewModels
{
    public class Module1VM : ViewModelBase
    {
        public Module1VM()
        {
            this.Header = "Module 1";
            this.IsSelected = true;
            Groups = new ObservableCollection<Group>();

            Group group1 = new Group() { Header = "Group 1.1" };
            Content button = new Content() { Type = "RibbonButton", Text = "RibbonButton", MyCommand = new DelegateCommand(ButtonCommand) };
            group1.Items.Add(button);
            Content splitButton = new Content() { Type = "RibbonSplitButton", Text = "RibbonSplitButton", MyCommand = new DelegateCommand(SplitButtonCommand) };
            for (int i = 0; i < 5; i++)
            {
                splitButton.Children.Add(new Content() { Text = String.Format("Option {0}", i) });
            }
            group1.Items.Add(splitButton);

            Groups.Add(group1);
        }

        public string Header { get; set; }
        public ObservableCollection<Group> Groups { get; set; }

        private bool isSelected;
        public bool IsSelected
        {
            get
            {
                return this.isSelected;
            }
            set
            {
                if (this.isSelected != value)
                {
                    this.isSelected = value;
                    OnPropertyChanged("IsSelected");
                }
            }
        }

        private void ButtonCommand(object sender)
        {
            MessageBox.Show("RibbonButton");
        }
        private void SplitButtonCommand(object sender)
        {
            MessageBox.Show("RibbonSplitButton");
        }

    }
}
